Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Class PortalAppflowHelper

    java.lang.Object
      com.bea.portal.appflow.PortalAppflowHelper

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public abstract class PortalAppflowHelper
extends Object

An static helper class for assisting in common programming tasks.

Field Summary
`protected static PortalManagerHome` | `portalManagerHome` Deprecated. A cached reference to the PortalManager Home.

Constructor Summary
`PortalAppflowHelper()` Deprecated.

Method Summary
`static PortalManager` | `createPortalManager()` Deprecated. Create a new instance of the PortalManager EJB from the cached PortalManagerHome.
`static com.bea.p13n.appflow.webflow.WebflowExecutor` | `getWebflowExecutor(PortalContext portalContext)` Deprecated. Obtain an instance of the WebflowExecutor.
`static com.bea.p13n.appflow.webflow.WebflowResponse` | `invokePortletWebflow(HttpServletRequest request, HttpServletResponse response, String namespace, String origin, String event, PortalRequest portalRequest, PageState pageState, PortletState portletState)` Deprecated. Invoke a portlet's webflow, and store the final presentation node in the portal's content map.
`static com.bea.p13n.appflow.webflow.WebflowResponse` | `invokeWebflow(HttpServletRequest request, HttpServletResponse response, String namespace, String origin, String event, PortalRequest portalRequest)` Deprecated. Invoke a webflow.
`static com.bea.p13n.appflow.webflow.WebflowResponse` | `invokeWebflow(HttpServletRequest request, HttpServletResponse response, String namespace, String origin, String event, com.bea.p13n.appflow.webflow.WebflowExecutor executor)` Deprecated. Invoke a webflow.
`static void` | `updatePortalSession(HttpServletRequest request, PortalSession portalSession)` Deprecated. Safely updates the PortalSession in the HttpSession and the PortalState.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalManagerHome

    protected static PortalManagerHome portalManagerHome

  Deprecated.
  A cached reference to the PortalManager Home.

Constructor Detail

### PortalAppflowHelper

    public PortalAppflowHelper()

  Deprecated.

Method Detail

### createPortalManager

    public static PortalManager createPortalManager()
                                             throws RemoteException,
                                                    CreateException

  Deprecated.
  Create a new instance of the PortalManager EJB from the cached PortalManagerHome.

  Throws:
    `RemoteException`
    `CreateException`

### getWebflowExecutor

    public static com.bea.p13n.appflow.webflow.WebflowExecutor getWebflowExecutor(PortalContext portalContext)

  Deprecated.
  Obtain an instance of the WebflowExecutor. Used to invoke portlet webflows.

### invokePortletWebflow

    public static com.bea.p13n.appflow.webflow.WebflowResponse invokePortletWebflow(HttpServletRequest request,
                                                                                    HttpServletResponse response,
                                                                                    String namespace,
                                                                                    String origin,
                                                                                    String event,
                                                                                    PortalRequest portalRequest,
                                                                                    PageState pageState,
                                                                                    PortletState portletState)
                                                                             throws com.bea.p13n.appflow.exception.ConfigurationException,
                                                                                    com.bea.p13n.appflow.exception.WebflowSecurityException

  Deprecated.
  Invoke a portlet's webflow, and store the final presentation node in the portal's content map.

  Throws:
    `com.bea.p13n.appflow.exception.ConfigurationException`
    `com.bea.p13n.appflow.exception.WebflowSecurityException`

### invokeWebflow

    public static com.bea.p13n.appflow.webflow.WebflowResponse invokeWebflow(HttpServletRequest request,
                                                                             HttpServletResponse response,
                                                                             String namespace,
                                                                             String origin,
                                                                             String event,
                                                                             PortalRequest portalRequest)
                                                                      throws com.bea.p13n.appflow.exception.ConfigurationException,
                                                                             com.bea.p13n.appflow.exception.WebflowSecurityException

  Deprecated.
  Invoke a webflow. Used to invoke portlets webflows. A webflow will continue to run until a presentation node is found and that is return in the WebflowResponse.

  Throws:
    `com.bea.p13n.appflow.exception.ConfigurationException`
    `com.bea.p13n.appflow.exception.WebflowSecurityException`

### invokeWebflow

    public static com.bea.p13n.appflow.webflow.WebflowResponse invokeWebflow(HttpServletRequest request,
                                                                             HttpServletResponse response,
                                                                             String namespace,
                                                                             String origin,
                                                                             String event,
                                                                             com.bea.p13n.appflow.webflow.WebflowExecutor executor)
                                                                      throws com.bea.p13n.appflow.exception.ConfigurationException,
                                                                             com.bea.p13n.appflow.exception.WebflowSecurityException

  Deprecated.
  Invoke a webflow. Used to invoke portlets webflows. A webflow will continue to run until a presentation node is found and that is return in the WebflowResponse.

  Throws:
    `com.bea.p13n.appflow.exception.WebflowSecurityException` - Throws a security exception if a successful login has been invoked or a proctedted node has been reached which requires login.
    `com.bea.p13n.appflow.exception.ConfigurationException`

### updatePortalSession

    public static void updatePortalSession(HttpServletRequest request,
                                           PortalSession portalSession)

  Deprecated.
  Safely updates the PortalSession in the HttpSession and the PortalState.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved